source: projects/install-guide/branches/6.x/Makefile.in @ 2755

Revision 2755, 20.4 KB checked in by yasumichi, 13 years ago (diff)

SPECファイルの雛形を準備

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/vine-install-guide.spec.in \
37        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38        install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42        $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_CLEAN_FILES = vine-install-guide.spec
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51        html-recursive info-recursive install-data-recursive \
52        install-dvi-recursive install-exec-recursive \
53        install-html-recursive install-info-recursive \
54        install-pdf-recursive install-ps-recursive install-recursive \
55        installcheck-recursive installdirs-recursive pdf-recursive \
56        ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61        distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97GZIP_ENV = --best
98DIST_ARCHIVES = $(distdir).tar.bz2
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = @ACLOCAL@
102AMTAR = @AMTAR@
103AUTOCONF = @AUTOCONF@
104AUTOHEADER = @AUTOHEADER@
105AUTOMAKE = @AUTOMAKE@
106AWK = @AWK@
107CSSFILE = @CSSFILE@
108CYGPATH_W = @CYGPATH_W@
109DEFS = @DEFS@
110ECHO_C = @ECHO_C@
111ECHO_N = @ECHO_N@
112ECHO_T = @ECHO_T@
113INSTALL = @INSTALL@
114INSTALL_DATA = @INSTALL_DATA@
115INSTALL_PROGRAM = @INSTALL_PROGRAM@
116INSTALL_SCRIPT = @INSTALL_SCRIPT@
117INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
118LIBOBJS = @LIBOBJS@
119LIBS = @LIBS@
120LTLIBOBJS = @LTLIBOBJS@
121MAKEINFO = @MAKEINFO@
122MKDIR_P = @MKDIR_P@
123OMFDIR = @OMFDIR@
124PACKAGE = @PACKAGE@
125PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
126PACKAGE_NAME = @PACKAGE_NAME@
127PACKAGE_STRING = @PACKAGE_STRING@
128PACKAGE_TARNAME = @PACKAGE_TARNAME@
129PACKAGE_URL = @PACKAGE_URL@
130PACKAGE_VERSION = @PACKAGE_VERSION@
131PATH_SEPARATOR = @PATH_SEPARATOR@
132PKG_CONFIG = @PKG_CONFIG@
133PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
134PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
135SET_MAKE = @SET_MAKE@
136SHELL = @SHELL@
137STRIP = @STRIP@
138VERSION = @VERSION@
139VMDIR = @VMDIR@
140abs_builddir = @abs_builddir@
141abs_srcdir = @abs_srcdir@
142abs_top_builddir = @abs_top_builddir@
143abs_top_srcdir = @abs_top_srcdir@
144am__leading_dot = @am__leading_dot@
145am__tar = @am__tar@
146am__untar = @am__untar@
147bindir = @bindir@
148build_alias = @build_alias@
149builddir = @builddir@
150datadir = @datadir@
151datarootdir = @datarootdir@
152docdir = @docdir@
153dvidir = @dvidir@
154exec_prefix = @exec_prefix@
155host_alias = @host_alias@
156htmldir = @htmldir@
157includedir = @includedir@
158infodir = @infodir@
159install_sh = @install_sh@
160libdir = @libdir@
161libexecdir = @libexecdir@
162localedir = @localedir@
163localstatedir = @localstatedir@
164mandir = @mandir@
165mkdir_p = @mkdir_p@
166oldincludedir = @oldincludedir@
167pdfdir = @pdfdir@
168prefix = @prefix@
169program_transform_name = @program_transform_name@
170psdir = @psdir@
171sbindir = @sbindir@
172sharedstatedir = @sharedstatedir@
173srcdir = @srcdir@
174sysconfdir = @sysconfdir@
175target_alias = @target_alias@
176top_build_prefix = @top_build_prefix@
177top_builddir = @top_builddir@
178top_srcdir = @top_srcdir@
179SUBDIRS = help
180all: all-recursive
181
182.SUFFIXES:
183am--refresh:
184        @:
185$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
186        @for dep in $?; do \
187          case '$(am__configure_deps)' in \
188            *$$dep*) \
189              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
190              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
191                && exit 0; \
192              exit 1;; \
193          esac; \
194        done; \
195        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
196        $(am__cd) $(top_srcdir) && \
197          $(AUTOMAKE) --gnu Makefile
198.PRECIOUS: Makefile
199Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
200        @case '$?' in \
201          *config.status*) \
202            echo ' $(SHELL) ./config.status'; \
203            $(SHELL) ./config.status;; \
204          *) \
205            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
206            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
207        esac;
208
209$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
210        $(SHELL) ./config.status --recheck
211
212$(top_srcdir)/configure:  $(am__configure_deps)
213        $(am__cd) $(srcdir) && $(AUTOCONF)
214$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
215        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
216$(am__aclocal_m4_deps):
217vine-install-guide.spec: $(top_builddir)/config.status $(srcdir)/vine-install-guide.spec.in
218        cd $(top_builddir) && $(SHELL) ./config.status $@
219
220# This directory's subdirectories are mostly independent; you can cd
221# into them and run `make' without going through this Makefile.
222# To change the values of `make' variables: instead of editing Makefiles,
223# (1) if the variable is set in `config.status', edit `config.status'
224#     (which will cause the Makefiles to be regenerated when you run `make');
225# (2) otherwise, pass the desired values on the `make' command line.
226$(RECURSIVE_TARGETS):
227        @fail= failcom='exit 1'; \
228        for f in x $$MAKEFLAGS; do \
229          case $$f in \
230            *=* | --[!k]*);; \
231            *k*) failcom='fail=yes';; \
232          esac; \
233        done; \
234        dot_seen=no; \
235        target=`echo $@ | sed s/-recursive//`; \
236        list='$(SUBDIRS)'; for subdir in $$list; do \
237          echo "Making $$target in $$subdir"; \
238          if test "$$subdir" = "."; then \
239            dot_seen=yes; \
240            local_target="$$target-am"; \
241          else \
242            local_target="$$target"; \
243          fi; \
244          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
245          || eval $$failcom; \
246        done; \
247        if test "$$dot_seen" = "no"; then \
248          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
249        fi; test -z "$$fail"
250
251$(RECURSIVE_CLEAN_TARGETS):
252        @fail= failcom='exit 1'; \
253        for f in x $$MAKEFLAGS; do \
254          case $$f in \
255            *=* | --[!k]*);; \
256            *k*) failcom='fail=yes';; \
257          esac; \
258        done; \
259        dot_seen=no; \
260        case "$@" in \
261          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
262          *) list='$(SUBDIRS)' ;; \
263        esac; \
264        rev=''; for subdir in $$list; do \
265          if test "$$subdir" = "."; then :; else \
266            rev="$$subdir $$rev"; \
267          fi; \
268        done; \
269        rev="$$rev ."; \
270        target=`echo $@ | sed s/-recursive//`; \
271        for subdir in $$rev; do \
272          echo "Making $$target in $$subdir"; \
273          if test "$$subdir" = "."; then \
274            local_target="$$target-am"; \
275          else \
276            local_target="$$target"; \
277          fi; \
278          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
279          || eval $$failcom; \
280        done && test -z "$$fail"
281tags-recursive:
282        list='$(SUBDIRS)'; for subdir in $$list; do \
283          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
284        done
285ctags-recursive:
286        list='$(SUBDIRS)'; for subdir in $$list; do \
287          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
288        done
289
290ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
291        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
292        unique=`for i in $$list; do \
293            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
294          done | \
295          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
296              END { if (nonempty) { for (i in files) print i; }; }'`; \
297        mkid -fID $$unique
298tags: TAGS
299
300TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
301                $(TAGS_FILES) $(LISP)
302        set x; \
303        here=`pwd`; \
304        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
305          include_option=--etags-include; \
306          empty_fix=.; \
307        else \
308          include_option=--include; \
309          empty_fix=; \
310        fi; \
311        list='$(SUBDIRS)'; for subdir in $$list; do \
312          if test "$$subdir" = .; then :; else \
313            test ! -f $$subdir/TAGS || \
314              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
315          fi; \
316        done; \
317        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
318        unique=`for i in $$list; do \
319            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
320          done | \
321          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
322              END { if (nonempty) { for (i in files) print i; }; }'`; \
323        shift; \
324        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
325          test -n "$$unique" || unique=$$empty_fix; \
326          if test $$# -gt 0; then \
327            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
328              "$$@" $$unique; \
329          else \
330            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
331              $$unique; \
332          fi; \
333        fi
334ctags: CTAGS
335CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
336                $(TAGS_FILES) $(LISP)
337        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
338        unique=`for i in $$list; do \
339            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
340          done | \
341          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
342              END { if (nonempty) { for (i in files) print i; }; }'`; \
343        test -z "$(CTAGS_ARGS)$$unique" \
344          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
345             $$unique
346
347GTAGS:
348        here=`$(am__cd) $(top_builddir) && pwd` \
349          && $(am__cd) $(top_srcdir) \
350          && gtags -i $(GTAGS_ARGS) "$$here"
351
352distclean-tags:
353        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
354
355distdir: $(DISTFILES)
356        $(am__remove_distdir)
357        test -d "$(distdir)" || mkdir "$(distdir)"
358        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
359        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
360        list='$(DISTFILES)'; \
361          dist_files=`for file in $$list; do echo $$file; done | \
362          sed -e "s|^$$srcdirstrip/||;t" \
363              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
364        case $$dist_files in \
365          */*) $(MKDIR_P) `echo "$$dist_files" | \
366                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
367                           sort -u` ;; \
368        esac; \
369        for file in $$dist_files; do \
370          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
371          if test -d $$d/$$file; then \
372            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
373            if test -d "$(distdir)/$$file"; then \
374              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
375            fi; \
376            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
377              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
378              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
379            fi; \
380            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
381          else \
382            test -f "$(distdir)/$$file" \
383            || cp -p $$d/$$file "$(distdir)/$$file" \
384            || exit 1; \
385          fi; \
386        done
387        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
388          if test "$$subdir" = .; then :; else \
389            test -d "$(distdir)/$$subdir" \
390            || $(MKDIR_P) "$(distdir)/$$subdir" \
391            || exit 1; \
392          fi; \
393        done
394        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
395          if test "$$subdir" = .; then :; else \
396            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
397            $(am__relativize); \
398            new_distdir=$$reldir; \
399            dir1=$$subdir; dir2="$(top_distdir)"; \
400            $(am__relativize); \
401            new_top_distdir=$$reldir; \
402            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
403            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
404            ($(am__cd) $$subdir && \
405              $(MAKE) $(AM_MAKEFLAGS) \
406                top_distdir="$$new_top_distdir" \
407                distdir="$$new_distdir" \
408                am__remove_distdir=: \
409                am__skip_length_check=: \
410                am__skip_mode_fix=: \
411                distdir) \
412              || exit 1; \
413          fi; \
414        done
415        -test -n "$(am__skip_mode_fix)" \
416        || find "$(distdir)" -type d ! -perm -755 \
417                -exec chmod u+rwx,go+rx {} \; -o \
418          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
419          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
420          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
421        || chmod -R a+r "$(distdir)"
422dist-gzip: distdir
423        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
424        $(am__remove_distdir)
425dist-bzip2: distdir
426        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
427        $(am__remove_distdir)
428
429dist-lzma: distdir
430        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
431        $(am__remove_distdir)
432
433dist-xz: distdir
434        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
435        $(am__remove_distdir)
436
437dist-tarZ: distdir
438        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
439        $(am__remove_distdir)
440
441dist-shar: distdir
442        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
443        $(am__remove_distdir)
444
445dist-zip: distdir
446        -rm -f $(distdir).zip
447        zip -rq $(distdir).zip $(distdir)
448        $(am__remove_distdir)
449
450dist dist-all: distdir
451        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
452        $(am__remove_distdir)
453
454# This target untars the dist file and tries a VPATH configuration.  Then
455# it guarantees that the distribution is self-contained by making another
456# tarfile.
457distcheck: dist
458        case '$(DIST_ARCHIVES)' in \
459        *.tar.gz*) \
460          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
461        *.tar.bz2*) \
462          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
463        *.tar.lzma*) \
464          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
465        *.tar.xz*) \
466          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
467        *.tar.Z*) \
468          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
469        *.shar.gz*) \
470          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
471        *.zip*) \
472          unzip $(distdir).zip ;;\
473        esac
474        chmod -R a-w $(distdir); chmod a+w $(distdir)
475        mkdir $(distdir)/_build
476        mkdir $(distdir)/_inst
477        chmod a-w $(distdir)
478        test -d $(distdir)/_build || exit 0; \
479        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
480          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
481          && am__cwd=`pwd` \
482          && $(am__cd) $(distdir)/_build \
483          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
484            $(DISTCHECK_CONFIGURE_FLAGS) \
485          && $(MAKE) $(AM_MAKEFLAGS) \
486          && $(MAKE) $(AM_MAKEFLAGS) dvi \
487          && $(MAKE) $(AM_MAKEFLAGS) check \
488          && $(MAKE) $(AM_MAKEFLAGS) install \
489          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
490          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
491          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
492                distuninstallcheck \
493          && chmod -R a-w "$$dc_install_base" \
494          && ({ \
495               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
496               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
497               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
498               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
499                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
500              } || { rm -rf "$$dc_destdir"; exit 1; }) \
501          && rm -rf "$$dc_destdir" \
502          && $(MAKE) $(AM_MAKEFLAGS) dist \
503          && rm -rf $(DIST_ARCHIVES) \
504          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
505          && cd "$$am__cwd" \
506          || exit 1
507        $(am__remove_distdir)
508        @(echo "$(distdir) archives ready for distribution: "; \
509          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
510          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
511distuninstallcheck:
512        @$(am__cd) '$(distuninstallcheck_dir)' \
513        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
514           || { echo "ERROR: files left after uninstall:" ; \
515                if test -n "$(DESTDIR)"; then \
516                  echo "  (check DESTDIR support)"; \
517                fi ; \
518                $(distuninstallcheck_listfiles) ; \
519                exit 1; } >&2
520distcleancheck: distclean
521        @if test '$(srcdir)' = . ; then \
522          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
523          exit 1 ; \
524        fi
525        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
526          || { echo "ERROR: files left in build directory after distclean:" ; \
527               $(distcleancheck_listfiles) ; \
528               exit 1; } >&2
529check-am: all-am
530check: check-recursive
531all-am: Makefile
532installdirs: installdirs-recursive
533installdirs-am:
534install: install-recursive
535install-exec: install-exec-recursive
536install-data: install-data-recursive
537uninstall: uninstall-recursive
538
539install-am: all-am
540        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
541
542installcheck: installcheck-recursive
543install-strip:
544        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
545          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
546          `test -z '$(STRIP)' || \
547            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
548mostlyclean-generic:
549
550clean-generic:
551
552distclean-generic:
553        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
554        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
555
556maintainer-clean-generic:
557        @echo "This command is intended for maintainers to use"
558        @echo "it deletes files that may require special tools to rebuild."
559clean: clean-recursive
560
561clean-am: clean-generic mostlyclean-am
562
563distclean: distclean-recursive
564        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
565        -rm -f Makefile
566distclean-am: clean-am distclean-generic distclean-tags
567
568dvi: dvi-recursive
569
570dvi-am:
571
572html: html-recursive
573
574html-am:
575
576info: info-recursive
577
578info-am:
579
580install-data-am:
581
582install-dvi: install-dvi-recursive
583
584install-dvi-am:
585
586install-exec-am:
587
588install-html: install-html-recursive
589
590install-html-am:
591
592install-info: install-info-recursive
593
594install-info-am:
595
596install-man:
597
598install-pdf: install-pdf-recursive
599
600install-pdf-am:
601
602install-ps: install-ps-recursive
603
604install-ps-am:
605
606installcheck-am:
607
608maintainer-clean: maintainer-clean-recursive
609        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
610        -rm -rf $(top_srcdir)/autom4te.cache
611        -rm -f Makefile
612maintainer-clean-am: distclean-am maintainer-clean-generic
613
614mostlyclean: mostlyclean-recursive
615
616mostlyclean-am: mostlyclean-generic
617
618pdf: pdf-recursive
619
620pdf-am:
621
622ps: ps-recursive
623
624ps-am:
625
626uninstall-am:
627
628.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
629        install-am install-strip tags-recursive
630
631.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
632        all all-am am--refresh check check-am clean clean-generic \
633        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
634        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
635        distclean distclean-generic distclean-tags distcleancheck \
636        distdir distuninstallcheck dvi dvi-am html html-am info \
637        info-am install install-am install-data install-data-am \
638        install-dvi install-dvi-am install-exec install-exec-am \
639        install-html install-html-am install-info install-info-am \
640        install-man install-pdf install-pdf-am install-ps \
641        install-ps-am install-strip installcheck installcheck-am \
642        installdirs installdirs-am maintainer-clean \
643        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
644        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
645
646
647# Tell versions [3.59,3.63) of GNU make to not export all variables.
648# Otherwise a system limit (for SysV at least) may be exceeded.
649.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.